2013年5月19日星期日

Virtualmin/Webmin主机控制面板升级php到最新版

好不容易把文件都搬到了新VPS,打开提示。。。

您的服务器现在运行的 PHP 版本为 5.1.6,但 WordPress 3.5.1 要求的最低版本为 5.2.4。




整个过程很简单,得力于Virtualmin/Webmin主机控制面板的高强度的兼容性。

登陆ssh后来完成

vi /etc/yum.repos.d/utterrambling.repo

 

如果vps、主机没有安装,提示vi命令不存的话,可以用下面这个命令来实现:

vim /etc/yum.repos.d/utterrambling.repo

 

如果你的vps或主机是32bit的Centos请输入以下内容:

[utterramblings]

name=Jason’s Utter Ramblings Repo

baseurl=http://www.jasonlitka.com/media/EL5/i386/

enabled=1

gpgcheck=1

gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

 

如果你的主机或者vps是64bit的Centos系统请输入下面的内容:

 

[utterramblings]

name=Jason’s Utter Ramblings Repo

baseurl=http://www.jasonlitka.com/media/EL5/x86_64/

enabled=1

gpgcheck=1

gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

 

完成后请保存并退出vim模式(shift +zz),然后输入以下命令:

yum -y upgrade php

 

升级的过程中如果有碰到 y/n 的提问,请输入y然后回车就好,大概2-5分钟就能完成升级,最后输入命令

 

php -v

查看PHP是否升级到最新版本。

没有评论:

发表评论